var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { compareVersions } from 'compare-versions';
import { CratesIO } from 'crates.io';
const cratesIO = new CratesIO();
export function checkForUpdate(packageName, version) {
    return __awaiter(this, void 0, void 0, function* () {
        const latestVersion = yield getLatestVersion(packageName);
        if (compareVersions(latestVersion.num, version) > 0) {
            return latestVersion.num;
        }
        return null;
    });
}
export function getLatestVersion(packageName) {
    return __awaiter(this, void 0, void 0, function* () {
        const versions = yield getVersions(packageName);
        return versions.sort((versionA, versionB) => compareVersions(versionA.num, versionB.num)).pop();
    });
}
export function getVersions(packageName) {
    return __awaiter(this, void 0, void 0, function* () {
        const { versions } = yield cratesIO.api.crates.getVersions(packageName);
        return versions;
    });
}
